SDL_HINT_RENDER_DRIVER(3)

NAME
SDL_HINT_RENDER_DRIVER - A variable specifying which render driver to use.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_RENDER_DRIVER              SDL_RENDER_DRIVER"

DESCRIPTION
If the application doesn't pick a specific renderer to use, this variable specifies the name of the preferred renderer. If the preferred renderer can't be initialized, the normal default renderer is used. This variable is case insensitive and can be set to the following values: • "direct3d" • "direct3d11" • "direct3d12" • "opengl" • "opengles2" • "opengles" • "metal" • "vulkan" • "software" The default varies by platform, but it's the first one in the list that is available on the current platform. This hint should be set before creating a renderer.

AVAILABILITY
This hint is available since SDL 3.0.0.